de.vc.jfo.attributes

## Class RelativePosition

- java.lang.Object
- - de.vc.jfo.attributes.AttributeSubSet
  - - de.vc.jfo.attributes.RelativePosition

- All Implemented Interfaces:
    java.lang.Cloneable

      public class RelativePosition
      extends AttributeSubSet

  RelativePosition provides informations about the relative position of fo.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `RelativePosition.PositionType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String[]` | `KEY_SET`
    `static RelativePosition.PositionType` | `POSITION_RELATIVE`
    `static RelativePosition.PositionType` | `POSITION_STATIC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RelativePosition()` Create an relative position.
    `RelativePosition(Measure top, Measure right, Measure bottom, Measure left)` Creates a relative position (Position-type is relative).

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getAttribute(int keyIdx)`
    `Measure` | `getBottom()`
    `Measure` | `getLeft()`
    `Measure` | `getRight()`
    `Measure` | `getTop()`
    `RelativePosition.PositionType` | `getType()`
    `void` | `setBottom(Measure bottom)`
    `void` | `setLeft(Measure left)`
    `void` | `setRight(Measure right)`
    `void` | `setTop(Measure top)`
    `void` | `setType(RelativePosition.PositionType type)`

    - ### Methods inherited from class de.vc.jfo.attributes.AttributeSubSet

      `addDefinedAttributes, applyAttributes, clone, isMutable, makeImmutable, setAttribute`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### POSITION_STATIC

          public static final RelativePosition.PositionType POSITION_STATIC

    - #### POSITION_RELATIVE

          public static final RelativePosition.PositionType POSITION_RELATIVE

    - #### KEY_SET

          public static final java.lang.String[] KEY_SET

  - ### Constructor Detail

    - #### RelativePosition

          public RelativePosition()

      Create an relative position.

    - #### RelativePosition

          public RelativePosition(Measure top,
                          Measure right,
                          Measure bottom,
                          Measure left)

      Creates a relative position (Position-type is relative).
      Parameters:
        `top` - Top value.
        `right` - Right value.
        `bottom` - Bottom value.
        `left` - Left value.

  - ### Method Detail

    - #### getType

          public RelativePosition.PositionType getType()

    - #### getTop

          public Measure getTop()

    - #### getRight

          public Measure getRight()

    - #### getLeft

          public Measure getLeft()

    - #### getBottom

          public Measure getBottom()

    - #### setBottom

          public void setBottom(Measure bottom)

    - #### setLeft

          public void setLeft(Measure left)

    - #### setRight

          public void setRight(Measure right)

    - #### setTop

          public void setTop(Measure top)

    - #### setType

          public void setType(RelativePosition.PositionType type)

    - #### getAttribute

          public java.lang.Object getAttribute(int keyIdx)

      Specified by:
        `getAttribute` in class `AttributeSubSet`

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.